org.apache.ivy.ant

## Class IvyInfo

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.ivy.ant.IvyTask
      - - org.apache.ivy.ant.IvyInfo

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyInfo
    extends IvyTask

Parses information about an ivy file and make them available in ant.

### Field Summary

### Fields inherited from class org.apache.ivy.ant.IvyTask

`ANT_PROJECT_CONTEXT_KEY`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`IvyInfo()`

### Method Summary

Methods
`void` `doExecute()` The real logic of task execution after project has been set in the context.
`java.lang.String` `getBranch()`
`java.io.File` `getFile()`
`java.lang.String` `getModule()`
`java.lang.String` `getOrganisation()`
`java.lang.String` `getProperty()`
`java.lang.String` `getRevision()`
`void` `setBranch(java.lang.String branch)`
`void` `setFile(java.io.File file)`
`void` `setModule(java.lang.String module)`
`void` `setOrganisation(java.lang.String organisation)`
`void` `setProperty(java.lang.String prefix)`
`void` `setRevision(java.lang.String revision)`

### Methods inherited from class org.apache.ivy.ant.IvyTask

`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IvyInfo

    public IvyInfo()

### Method Detail

#### getFile

    public java.io.File getFile()

#### setFile

    public void setFile(java.io.File file)

#### getModule

    public java.lang.String getModule()

#### setModule

    public void setModule(java.lang.String module)

#### getOrganisation

    public java.lang.String getOrganisation()

#### setOrganisation

    public void setOrganisation(java.lang.String organisation)

#### getRevision

    public java.lang.String getRevision()

#### setRevision

    public void setRevision(java.lang.String revision)

#### getBranch

    public java.lang.String getBranch()

#### setBranch

    public void setBranch(java.lang.String branch)

#### getProperty

    public java.lang.String getProperty()

#### setProperty

    public void setProperty(java.lang.String prefix)

#### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

Description copied from class: `IvyTask`
The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

Specified by:
  `doExecute` in class `IvyTask`
Throws:
  `org.apache.tools.ant.BuildException`